net.sf.jasperreports.engine.fill

## Interface DatasetFillContext

- All Known Implementing Classes:
    JRFillDataset

      public interface DatasetFillContext

  Context information related to a fill time dataset.
  Version:
    $Id: DatasetFillContext.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getFieldValue(java.lang.String field, EvaluationType evaluation)` Returns the value of a field.
    `java.util.Locale` | `getLocale()` Returns the locale used by the dataset.
    `java.lang.Object` | `getParameterValue(java.lang.String parameter)` Returns the value of a parameter.
    `java.lang.Object` | `getVariableValue(java.lang.String variable, EvaluationType evaluation)` Returns the value of a variable.

- - ### Method Detail

    - #### getParameterValue

          java.lang.Object getParameterValue(java.lang.String parameter)

      Returns the value of a parameter.
      Parameters:
        `parameter` - the parameter name
      Returns:
        the parameter value

    - #### getFieldValue

          java.lang.Object getFieldValue(java.lang.String field,
                                       EvaluationType evaluation)

      Returns the value of a field.
      Parameters:
        `field` - the field name
        `evaluation` - the evaluation type
      Returns:
        the field value

    - #### getVariableValue

          java.lang.Object getVariableValue(java.lang.String variable,
                                          EvaluationType evaluation)

      Returns the value of a variable.
      Parameters:
        `variable` - the variable name
        `evaluation` - the evaluation type
      Returns:
        the variable value

    - #### getLocale

          java.util.Locale getLocale()

      Returns the locale used by the dataset.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com